apiVersion: releases.vmsp.vmware.com/v1alpha1
kind: Schema
metadata:
  labels:
    packages.vcf.vmware.com/packaging: package
  name: configuration-vcf-obs-data-platform-9.1.0.0.25289875
  namespace: vodap
spec:
  context:
    name: vcf-obs-data-platform
    type: configuration
    version: 9.1.0.0.25289875
  schema:
    openAPIV3Schema:
      description: Configuration schema for the vcf-obs-data-platform-9.1.0.0.25289875
        package
      properties:
        values:
          properties:
            logs:
              properties:
                additionalFilters:
                  description: additional log filtering configurations
                  items:
                    type: string
                  type: array
                globalOutputEnabled:
                  description: Toggles outputting logs to the system global output
                  type: boolean
              type: object
            size:
              description: Deployment size profile for (small, medium, large) for
                Realtime monitoring data platform
              enum:
              - small
              - medium
              - large
              type: string
            storage:
              properties:
                volumeGroups:
                  properties:
                    defaultDataChiVcfObsVcfObs:
                      properties:
                        capacity:
                          description: Storage for realtime monitoring data
                          type: string
                      type: object
                  type: object
              type: object
          type: object
      type: object
